#include <Wire.h>
#include <Adafruit_Sensor.h>
#include <Adafruit_L3GD20_U.h>
#include <Servo.h>


Adafruit_L3GD20_Unified gyro = Adafruit_L3GD20_Unified(20);  //assign id to gyro
Servo yServo; //create servo


float y_accel;
float y_pos;
float Del;
int count = 0;


void y_control();  //create y_control function


void setup(void) 
{
  
  y_pos = 90;   //set position to middle
 gyro.enableAutoRange(true);    //enable auto ranging

 if(!gyro.begin())  //check if gyro is connected
  {
 
    Serial.println("sensor not detected");  //if sensor not detected display message
    while(1);
  }
  

 yServo.attach(10);  //create servo 
 
 pinMode(14,INPUT);  //set pin 14 to input
 digitalWrite(14,HIGH);   //turn on pull up resistors

  
}

void loop(void) 
{
  sensors_event_t event; //get gyro event
  gyro.getEvent(&event); //get gyro event
   y_control();  //run y_control
 
   if(digitalRead(14) == 0)  //see if reset button pushed
  {
    y_pos = 90;  //recenter servo
  }
 
  delay(20);  //delay 20ms

  
}


void y_control()  //y_control function
{
  sensors_event_t event;   //get sensor event
  gyro.getEvent(&event);   //get gyro event
  y_accel = event.gyro.x *2.4;  //multiply rotational velocity by 2.4
  y_pos += y_accel;   //add result from y_accel to servo position
  yServo.write( y_pos);   //move servo
  
  if(y_pos>180)   //if position if greater than 180
  {y_pos = 180;   //set position to 180
  }
  else if(y_pos<0)  //if position is less than 0
  {y_pos = 0;   //set position to 0
  }
}
